hpp-constraints: Eigen::internal::eval_matrix_block_view_to< MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >, MatrixBlockView< _ArgType2, _Rows2, _Cols2, _allRows2, _allCols2 > > Struct Template Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
Eigen::internal::eval_matrix_block_view_to< MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >, MatrixBlockView< _ArgType2, _Rows2, _Cols2, _allRows2, _allCols2 > > Struct Template Reference

`#include <hpp/constraints/matrix-view.hh>`

## Public Types
typedef MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols > | Src
typedef MatrixBlockView< _ArgType2, _Rows2, _Cols2, _allRows2, _allCols2 > | Dst

## Static Public Member Functions
static void | run (const Src &src, Dst &dst)

## Member Typedef Documentation

## ◆ Dst

template<typename _ArgType , int _Rows, int _Cols, bool _allRows, bool _allCols, typename _ArgType2 , int _Rows2, int _Cols2, bool _allRows2, bool _allCols2>

typedef MatrixBlockView<_ArgType2, _Rows2, _Cols2, _allRows2, _allCols2> Eigen::internal::eval_matrix_block_view_to< MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >, MatrixBlockView< _ArgType2, _Rows2, _Cols2, _allRows2, _allCols2 > >::Dst

## ◆ Src

template<typename _ArgType , int _Rows, int _Cols, bool _allRows, bool _allCols, typename _ArgType2 , int _Rows2, int _Cols2, bool _allRows2, bool _allCols2>

typedef MatrixBlockView<_ArgType, _Rows, _Cols, _allRows, _allCols> Eigen::internal::eval_matrix_block_view_to< MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >, MatrixBlockView< _ArgType2, _Rows2, _Cols2, _allRows2, _allCols2 > >::Src

## Member Function Documentation

## ◆ run()

template<typename _ArgType , int _Rows, int _Cols, bool _allRows, bool _allCols, typename _ArgType2 , int _Rows2, int _Cols2, bool _allRows2, bool _allCols2>

static void Eigen::internal::eval_matrix_block_view_to< MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >, MatrixBlockView< _ArgType2, _Rows2, _Cols2, _allRows2, _allCols2 > >::run | ( | const Src & | src,
|  | Dst & | dst )
| inline static

The documentation for this struct was generated from the following file:

- include/hpp/constraints/matrix-view.hh